
public class MyLinkedList<E>
{
    private MyLinkedListElem<E> front;
    private MyLinkedListElem<E> back;
    
    public MyLinkedList()
    {
        front = null;
        back = null;
    }

    public void addFront(E value)
    {
        if(front == null)
        {
            MyLinkedListElem<E> newElem = 
                    (MyLinkedListElem<E>) new MyLinkedListElem(value, null, null);
            
            front = back = newElem;
        }
        else
        {
            MyLinkedListElem<E> newElem = 
                    (MyLinkedListElem<E>) new MyLinkedListElem(value, front, null);
            
            front.setPrevious(newElem);
            front = newElem;
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public MyLinkedListElem<E> getFront()
    {
        return front;
    }

    public MyLinkedListElem<E> getBack()
    {
        return back;
    }
    
    
}
