
public class MyLinkedListElem<E>
{
    private MyLinkedListElem<E> next;
    
    private MyLinkedListElem<E> previous;
    private E value;
    
    public MyLinkedListElem(E value, MyLinkedListElem<E> next, 
            MyLinkedListElem<E> previous)
    {
        this.next = next;
        this.previous = previous;
        this.value = value;
        
    }
    
    protected void setPrevious(MyLinkedListElem<E> elem)
    {
        this.previous = elem;
    }
    
    public MyLinkedListElem<E> getNext()
    {
        return next;
    }

    public MyLinkedListElem<E> getPrevious()
    {
        return previous;
    }

    public E getValue()
    {
        return value;
    }

    
    
}
